Subject: Re: [PATCH v2] ssh signing: better error message when key not in agent

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Jan 2023 14:22:59 -0800

Eric Sunshine <[email-masked]> writes:

> On Wed, Jan 25, 2023 at 8:05 AM Adam Szkoda <[email-masked]> wrote:
>> On Tue, Jan 24, 2023 at 6:52 PM Junio C Hamano <[email-masked]> wrote:
>> > > Range-diff vs v1:
>> > >
>> > >  1:  0ce06076242 < -:  ----------- ssh signing: better error message when key not in agent
>> > >  -:  ----------- > 1:  03dfca79387 ssh signing: better error message when key not in agent
>> >
>> > This is a fairly useless range-diff.
>> >
>> > Even when a range-diff shows the differences in the patches,
>> > mechanically generated range-diff can only show _what_ changed.  It
>> > is helpful to explain the changes in your own words to highlight
>> > _why_ such changes are done, and this place after the "---" line
>> > and the diffstat we see below is the place to do so.
>> >
>> > Does GitGitGadget allow its users to describe the differences since
>> > the previous iteration yourself?
>>
>> No, I don't think it does.   It got generated automatically without
>> giving me an opportunity to edit.
>
> Yes, the user can describe the differences since the previous
> iteration by editing the pull-request's description. Specifically,
> when ready to send a new iteration:
>
> (1) force push the new iteration to the same branch on GitHub
>
> (2) edit the pull-request description; this is the very first
> "comment" on the pull-request page; press the "..." button on that
> comment and choose the "Edit" menu item; revise the text to describe
> the changes since the previous revision, then press the "Update
> comment" button to save
>
> (3) post a "/submit" comment to the pull-request to tell GitGitGadget
> to send the new revision to the Git mailing list

Thanks.  I thought the above would make a good addition to our
documentation set.  Documentation/MyFirstContribution.txt does have
this to say:

    Once you have your branch again in the shape you want following all review
    comments, you can submit again:

    ----
    $ git push -f remotename psuh
    ----

    Next, go look at your pull request against GitGitGadget; you should see the CI
    has been kicked off again. Now while the CI is running is a good time for you
    to modify your description at the top of the pull request thread; it will be
    used again as the cover letter. You should use this space to describe what
    has changed since your previous version, so that your reviewers have some idea
    of what they're looking at. When the CI is done running, you can comment once
    more with `/submit` - GitGitGadget will automatically add a v2 mark to your
    changes.

before it talks about doing the "/submit" again.  Expanding the
above into a bulletted list form like you did might make it easier
to follow through, perhaps?  I dunno.